@import 'aesthetic-css/src/index.scss';

html, body {
  height: 100%;
  margin: 0;
  padding: 0;
}

body, input {
  font-size: 24px;
}

body, body * {
  font-family: 'Poppins';
}

h1 {
  font-size: 80px;
  margin: 0;
}

.bg {
  position: fixed;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  background-position: center center;
  background-repeat: no-repeat;
  background-attachment: fixed;
  background-size: cover;
  background-color: #fff;
  z-index: -1;
}

.error {
  color: darkred;
}


.attribution {
  position: fixed;
  right: 0;
  bottom: 0;
  padding: 5px;
  z-index: 0;
}
.attribution.with-taskbar {
  bottom: 45px;
}

.content {
 height: 100%;
 display: flex;
 flex-direction: column;
 align-items: center;
 justify-content: space-around;
}

.main-content {
  z-index: 5;
  width: 38rem;
  max-width: 100%;
  flex-shrink: 0;
  background: #fff;
  margin-top: 1rem;
  padding: 1rem;
  border-radius: 1rem;
}

.main-content hr {
  border: 3px solid rgb(209, 209, 209);
}

.im-logo {
  margin: auto;
  display: block;
  max-width: 15rem;
}

.content form {
  margin: 20px;
  /* transition: all 1s; */
}

.form-item {
  height: 60px;
  padding: 0;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.form-footer {
  margin: 0 20px;
  max-width: 590px;
}
.form-item, .form-item label, .form-item input {
  transition: all 0.5s ease-in-out;
  overflow: hidden;
  box-sizing: border-box;
}

.form-item input, .form-item label {
  height: 35px;
  margin: 1px;
}

.form-item label {
  padding-right: 5px;
}

.form-item input {
  width: 400px;
  padding-left: 5px;
  margin-right: 10px;
  flex-shrink: 0;
}

.form-item input.with-feedback {
  padding-right: 30px;
}

.form-item-feedback {
  position: absolute;
  right: 15px;
  top: 5px;
  opacity: 0.5;
  cursor: pointer;
}

.form-item input.handle {
  width: 195px;
  margin-right: 0;
  margin-left: 0;
}

.form-item .home-label {
  display: none;
}

.form-item.emoji {
  height: 430px;
  justify-content: center;
  margin-top: 2rem;
  flex-basis: 100%;
  width: 100%;
}

.form-item.emoji.hidden {
  height: 0;
  margin-top: 0;
}

.form-item.emoji .emoji-mart {
  flex-basis: 100% !important;
  width: 100% !important;
}

#registration-domain-cue {
  position: absolute;
  right: 5px;
}

.hidden {
  visibility: hidden;
  height: 0;
  padding-top: 0;
  padding-bottom: 0;
}

.hidden label, .hidden input {
  height: 0;
}

.none {
  display: none;
}

.relative {
  position: relative;
}

.fetching {
  cursor: progress !important;
}

button[disabled] {
  color: #888;
  pointer-events: none;
}

.password-wrapper {
  scroll-margin: 30px;
}

.reveal-pass {
  position: absolute;
  top: 1rem;
  width: calc(100% - 10rem);
  background-color: #ffffff;
  margin: 3px 6px;
  left: 8rem;
}

.reveal-pass .emoji-mart-emoji {
  vertical-align: middle;
}

/* to make alignment easier */
.handle-bracket {
  display: inline-block;
  width: 10px;
}

/* okay we're all sick of the flicker */
.aesthetic-effect-crt::after {
  animation: none !important;
}

.aesthetic-windows-95-taskbar {
  position: fixed;
  bottom: 0;
  right: 0;
  left: 0;
  z-index: 10;
  height: 35px;
  width: auto;
}

.aesthetic-windows-95-taskbar .aesthetic-windows-95-taskbar-start {
  padding: 0;
  width: auto;
}

.aesthetic-windows-95-taskbar .aesthetic-windows-95-taskbar-start button,
.aesthetic-windows-95-taskbar .aesthetic-windows-95-taskbar-start a,
.aesthetic-windows-95-taskbar .aesthetic-windows-95-taskbar-start a:visited {
  padding: 4px;
  text-decoration: none;
  color: #000;
}

.immers-icon {
  width: 28px;
  height: 28px;
  vertical-align: bottom;
}

.im-tabsContainer {
  display: flex;
  flex-wrap: wrap;
}

.im-tabs {
  display: flex;
  flex-wrap: wrap;
  flex-basis: 100%;
  justify-content: center;
  margin-bottom: 1rem;
}

.im-tabs_content {
  flex-basis: 100%;
  width: 100%;
}

.im-tab {
  background: none;
  padding: 1rem;
  font-size: 1rem;
  border: none;
  outline: none;
  color: #3332FE;
  transition: color 0.3s ease-in-out;
}

.im-tab:hover {
  background: none;
  color: #3332aE;
  cursor: pointer !important;
}

.im-button {
  position: relative;
  background: none;
  padding: 1rem;
  font-size: 1.375rem;
  font-weight: bold;
  border: none;
  outline: none;
  color: #404040;
  transition: all 0.3s ease-in-out;
  cursor: pointer;
}

.im-button.is-active {
  color: #3332FE;
}

.im-button:after {
  content: '';
  border-bottom: 1px solid #3332fe;
  position: absolute;
  bottom: 0;
  left: 0.5rem;
  right: 0.5rem;
  opacity: 0;
  transition: all 0.3s ease-in-out;;
}

.im-button.is-active:after, .im-button:hover:after {
  opacity: 1;
}

.im-button:hover {
  background: none;
  color: #3332aE;
  cursor: pointer !important;
}

.im-button_action {
  position: relative;
  background: #3332fe;
  padding: 1rem;
  font-size: 1rem;
  font-weight: bold;
  border: none;
  outline: none;
  color: #fff;
  transition: all 0.3s ease-in-out;
  border-radius: 0.5rem;
}

.im-button_action:hover {
  background: #3332aE;
  cursor: pointer !important;
}

.im-button_full {
  width: 100%;
}

.im-block {
  display: block;
}

.im-m_t16 {
  margin-top: 1rem;
}
.im-m_b16 {
  margin-bottom: 1rem;
}

.im-m_t32 {
  margin-top: 2rem;
}
.im-m_b32 {
  margin-bottom: 2rem;
}


.im-formContainer {
  display: flex;
  flex-wrap: wrap;
}

.im-formContainer form {
  flex-basis: 100%;
  width: 100%;
}

.im-formInput, .im-formInput_wrapper {
  width: 100%;
  padding-left: 9rem;
  padding-top: 0.5rem;
  padding-bottom: 0.5rem;
  font-size: 1.25rem;
  background: none;
  border: none;
  outline: none;
  z-index: 2;
}

.im-formInput:-webkit-autofill,
.im-formInput:-webkit-autofill:hover, 
.im-formInput:-webkit-autofill:focus, 
.im-formInput:-webkit-autofill:active{
    -webkit-box-shadow: 0 51px 5px 0 #ffffff inset !important;
}

.im-formInput:focus {
  z-index: 1;
}

.im-formInput_wrapper {
  padding-left: 0;
  overflow: hidden;
}

.im-formInputContainer {
  position: relative;
  display: flex;
  flex-wrap: wrap;
  padding: 1rem;
  background: #ffffff;
  border-radius: 0.25rem;
}

.im-formInputContainer label {
  position: absolute;
  top: 1.5rem;
  width: 9rem !important;
  font-size: 1rem;
  color: #404040;
  padding: 0.25rem 0.5rem 0 0;
  display: block;
  cursor: text;
  z-index: 3;
}

.im-formTitle {
  margin: auto 1rem 2rem;
  text-align: center;
  font-size: 1.25rem;
  color: #404040;
}

.im-hide {
  display: none;
}

.im-flex {
  display: flex;
  flex-wrap: wrap;
}

.im-fullWidth {
  width: 100% !important;
  flex-basis: 100% !important;
}

.im-fullWidth label {
  top: 2rem;
}

@media (prefers-reduced-motion: reduce) {
  .aesthetic-effect-crt::after,
  .aesthetic-effect-text-glitch::before,
  .aesthetic-effect-text-glitch::after {
    animation: none !important;
  }
}

@media screen and (max-width: 679px) {
  body, html, .content {
    height: unset;
  }
  h1 {
    font-size: 40px;
  }
  .main-content {
    min-width: unset;
    width: 100%;
  }
  .form-item {
    height: auto;
    flex-wrap: wrap;
  }
  .form-item input, .form-item input.handle, .home-label {
    width: calc(100vw - 40px);
  }
  .reveal-pass {
    width: calc(100vw - 75px);
  }
  .handle-bracket {
    display: none;
  }
  /* #immer {
    width: calc(100vw - 60px);
  } */
  .form-item.hidden {
    height: 0;
  }
  .form-footer, .content form {
    margin: 0;
  }
  .form-item .home-label {
    display: block;
  }
  .aesthetic-windows-95-button {
    margin-top: 5px;
  }
  .main-content {
    margin-bottom: 45px;
  }
}